Yii Framework Forum: CSS issue with IE9? - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

CSS issue with IE9? Rate Topic: -----

#1 User is offline   seizu 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 17-March 15

Posted 17 March 2015 - 05:22 AM

Hello! Is there a css issue with IE9. I’ve installed yii2 from archive (php 5.4.38, apache 2.2.22 win32) I got this weird scree on IE9. Clearing the IE cash, does not fix the problem. Btw, it looks good on Firefox.:)

Attached File(s)


0

#2 User is offline   Bizley 

  • Master Member
  • PipPipPipPip
  • Yii
  • Group: Members
  • Posts: 922
  • Joined: 29-July 14
  • Location:Wrocław

Posted 17 March 2015 - 05:34 AM

IE9 is 4 years old browser and is not fully compatible with other modern ones.
As you can see here http://getbootstrap....support-ie8-ie9 not everything is supported on IE9 by Bootstrap which is used in yii2. Make sure you are using respond and/or html5shiv scripts.
http://bizley.pl ʕ•ᴥ•ʔ
0

#3 User is offline   seizu 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 17-March 15

Posted 17 March 2015 - 11:46 AM

Hello!
Thx for the reply. Finally, I’ve got it. It was not a CSS problem. ;D
In our company, the IE9 browser mode for intranet sites was set to compatibility view mode, but not for internet sites so I was a little confused. :unsure:
Hope this helps someone who is having the same issue.
0

#4 User is offline   oligalma 

  • Advanced Member
  • PipPipPip
  • Yii
  • Group: Members
  • Posts: 419
  • Joined: 07-April 12
  • Location:Spain

Posted 28 March 2015 - 03:56 AM

You really should use Internet Explorer 11 or, even better, Firefox or Chrome
0

#5 User is offline   seizu 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 4
  • Joined: 17-March 15

Posted 11 May 2017 - 05:55 AM

Update: to prevent CSS issues IE8/IE9/IE10/IE11, even when your customer or user has enabled the compatibility view mode, you can overwrite the IE settings by adding the following meta tags in your main.php

<meta http-equiv="X-UA-Compatible" content="IE=edge"/>

1

#6 User is offline   jacmoe 

  • Elite Member
  • Yii
  • Group: Moderators
  • Posts: 3,694
  • Joined: 10-October 10
  • Location:Denmark

Posted 20 May 2017 - 09:26 AM

/* Moved to Tips, Snippets and Tutorials */
"Less noise - more signal"
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users